## kget 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "21")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kget VERSION ${RELEASE_SERVICE_VERSION})

set(REQUIRED_QT_VERSION "5.15.0")
set(KF5_VERSION "5.83.0")

find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMSetupQtPluginMacroNames)
include(GenerateExportHeader)

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED CONFIG COMPONENTS
    DBus
    Gui
    Network
    Sql
    Test
    Widgets
    Xml
)

find_package(KF5 ${KF5_VERSION} REQUIRED
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    I18n
    IconThemes
    ItemViews
    KCMUtils
    KIO
    Notifications
    NotifyConfig
    Parts
    Service
    TextWidgets
    Wallet
    WidgetsAddons
    WindowSystem
    XmlGui
    KDELibs4Support # KLocale
)

#include(CheckIncludeFile)
#include(CheckIncludeFiles)
#include(CheckSymbolExists)
#include(CheckFunctionExists)
#include(CheckLibraryExists)
#include(CheckPrototypeExists)
#include(CheckTypeSize)

if(WIN32)
   set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
   set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
endif()

find_package(Sqlite)
set_package_properties(Sqlite PROPERTIES
    DESCRIPTION "SQLite is a Binary-Database"
    TYPE RECOMMENDED
    PURPOSE "Needed for the SQLite-Backend of the KGet-History"
)

find_package(Qca-qt5 2.1.0)
set_package_properties(Qca-qt5 PROPERTIES
    DESCRIPTION "Support for encryption"
    URL "https://download.kde.org/stable/qca-qt5/"
    TYPE REQUIRED
)

find_package(Gpgmepp 1.7.0)
set_package_properties(Gpgmepp PROPERTIES
    DESCRIPTION "The GpgME++ library"
    URL "https://www.gnupg.org"
    TYPE RECOMMENDED
    PURPOSE "GpgME++ is required to have signature verifying support in KGet."
)

find_package(KF5Torrent 21.07.70)
set_package_properties(KF5Torrent PROPERTIES
    DESCRIPTION "Backend Library of KTorrent"
    TYPE RECOMMENDED
    PURPOSE "Needed to build KGet bittorrent support."
)

find_package(LibMms)
set_package_properties(LibMms PROPERTIES
    DESCRIPTION "Library to read mms streams"
    TYPE RECOMMENDED
    PURPOSE "Needed to build KGet mms support."
)

if(CMAKE_BUILD_TYPE MATCHES debugfull)
     add_definitions(-DDEBUG)
endif()

if (Qca-qt5_FOUND)
    add_definitions(-DHAVE_QCA2)
MESSAGE(STATUS "QCA found")
endif()

find_package(Boost REQUIRED)

if(Gpgmepp_FOUND)
    find_package(QGpgme REQUIRED)
    add_definitions(-DHAVE_QGPGME)
endif()

set (KGET_PLUGIN_INSTALL_DIR ${KDE_INSTALL_PLUGINDIR}/kget)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KGET
    VERSION_HEADER "kget_version.h"
)

ecm_setup_qtplugin_macro_names(JSON_NONE KGET_EXPORT_PLUGIN KGET_EXPORT_PLUGIN_CONFIG)

add_subdirectory(conf)
add_subdirectory(core)
add_subdirectory(ui)
add_subdirectory(transfer-plugins)
add_subdirectory(extensions)
add_subdirectory(sounds)
add_subdirectory(desktop)
#add_subdirectory(plasma) TODO PORT TO KF5/QML
add_subdirectory(tests)
add_subdirectory(doc)

find_package(LibKWorkspace CONFIG)
set_package_properties(LibKWorkspace PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Allows 'shutdown after downloads completed' in kget"
)
if(LibKWorkspace_FOUND)
    add_definitions(-DHAVE_KWORKSPACE)
endif()

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/core/
    ${CMAKE_CURRENT_BINARY_DIR}/core/
)

if(SQLITE_FOUND)
    add_definitions(-DHAVE_SQLITE)
endif()

remove_definitions(-DQT_NO_HTTP)

# kgetcore

add_library(kgetcore SHARED)
set_target_properties(kgetcore PROPERTIES
    VERSION 5.0.0
    SOVERSION 5
)

set(kgetcore_dbus_SRCS)
qt_add_dbus_adaptor(kgetcore_dbus_SRCS dbus/org.kde.kget.transfer.xml dbus/dbustransferwrapper.h DBusTransferWrapper)
qt_add_dbus_adaptor(kgetcore_dbus_SRCS dbus/org.kde.kget.verifier.xml dbus/dbusverifierwrapper.h DBusVerifierWrapper)

target_sources(kgetcore PRIVATE
    ${kgetcore_dbus_SRCS}
    core/job.cpp
    core/jobqueue.cpp
    core/kget.cpp
    core/scheduler.cpp
    core/transfertreemodel.cpp
    core/transfertreeselectionmodel.cpp
    core/transfer.cpp
    core/transfergroup.cpp
    core/transfergrouphandler.cpp
    core/transferhandler.cpp
    core/handler.cpp
    core/transfergroupscheduler.cpp
    core/plugin/plugin.cpp
    core/plugin/transferfactory.cpp
    core/transferdatasource.cpp
    core/datasourcefactory.cpp
    core/kgetkjobadapter.cpp
    core/kuiserverjobs.cpp
    core/kgetglobaljob.cpp
    core/bitset.cpp
    core/download.cpp
    core/transferhistorystore.cpp
    core/transferhistorystore_xml.cpp
    core/transferhistorystore_sqlite.cpp
    core/linkimporter.cpp
    dbus/dbustransferwrapper.cpp
    dbus/dbusverifierwrapper.cpp
    core/filemodel.cpp
    core/verifier.cpp
    core/verificationthread.cpp
    core/verificationmodel.cpp
    core/verificationdelegate.cpp
    core/signature.cpp
    core/signaturethread.cpp
    core/keydownloader.cpp
    core/urlchecker.cpp
    core/basedialog.cpp
    core/mostlocalurl.cpp
    core/filedeleter.cpp
)

ecm_qt_declare_logging_category(kgetcore
    HEADER kget_debug.h
    IDENTIFIER KGET_DEBUG
    CATEGORY_NAME kget
    DESCRIPTION "KGet"
    EXPORT KGET
)

kconfig_add_kcfg_files(kgetcore conf/settings.kcfgc)

generate_export_header(kgetcore BASE_NAME kget)

target_link_libraries(kgetcore
    KF5::ConfigGui
    KF5::CoreAddons
    KF5::DBusAddons
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::Notifications
    KF5::Service
    KF5::XmlGui
    Qt::Core
    Qt::Widgets
    Qt::Sql
    Qt::Network
    Qt::DBus
)

if(LibKWorkspace_FOUND)
    target_link_libraries(kgetcore PW::KWorkspace)
endif()

if (SQLITE_FOUND)
    target_link_libraries(kgetcore ${QT_QTSQL_LIBRARY})
endif()

if (Qca-qt5_FOUND)
    target_link_libraries(kgetcore qca-qt5)
endif ()

if (Gpgmepp_FOUND)
    target_link_libraries(kgetcore QGpgme Gpgmepp)
    kde_enable_exceptions()
endif()

install(TARGETS kgetcore ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


# kget

add_executable(kget)

set(kget_dbus_SRCS)
qt_add_dbus_adaptor(kget_dbus_SRCS dbus/org.kde.kget.main.xml dbus/dbuskgetwrapper.h DBusKGetWrapper)

target_sources(kget PRIVATE
    ${kget_dbus_SRCS}
#     core/transferhandler.cpp
#     core/transfertreemodel.cpp
    dbus/dbuskgetwrapper.cpp
    kget_debug.cpp
    conf/autopastemodel.cpp
    conf/integrationpreferences.cpp
    conf/dlgwebinterface.cpp
    conf/preferencesdialog.cpp
    conf/transfersgrouptree.cpp
    conf/transfersgroupwidget.cpp
    conf/pluginselector.cpp
    conf/verificationpreferences.cpp
    ui/droptarget.cpp
    ui/transfersview.cpp
    ui/transfersviewdelegate.cpp
    ui/transferdetails.cpp
    ui/viewscontainer.cpp
    ui/newtransferdialog.cpp
    ui/groupsettingsdialog.cpp
    ui/transfersettingsdialog.cpp
    ui/contextmenu.cpp
    ui/tray.cpp
    ui/history/rangetreewidget.cpp
    ui/history/transferhistory.cpp
    ui/history/transferhistoryitemdelegate.cpp
    ui/history/transferhistorycategorizeddelegate.cpp
    ui/history/transferhistorycategorizedview.cpp
    ui/linkview/kget_linkview.cpp
    ui/linkview/kget_sortfilterproxymodel.cpp
    ui/mirror/mirrorsettings.cpp
    ui/mirror/mirrormodel.cpp
    ui/renamefile.cpp
    ui/verificationdialog.cpp
    ui/metalinkcreator/metalinkcreator.cpp
    ui/metalinkcreator/generalwidget.cpp
    ui/metalinkcreator/metalinker.cpp
    ui/metalinkcreator/filedlg.cpp
    ui/metalinkcreator/localemodels.cpp
    ui/metalinkcreator/dragdlg.cpp
    ui/metalinkcreator/urlwidget.cpp
    ui/metalinkcreator/filehandler.cpp
    ui/signaturedlg.cpp
    mainwindow.cpp
    main.cpp

   #extensions/webinterface/httpserver.cpp
)

ki18n_wrap_ui(kget
    conf/dlgadvanced.ui
    conf/dlgappearance.ui
    conf/dlggroups.ui
    conf/dlgintegration.ui
    conf/dlgwebinterface.ui
    conf/dlgnetwork.ui
    conf/verificationpreferences.ui
    ui/transferdetailsfrm.ui
    ui/newtransferwidget.ui
    ui/history/transferhistory.ui
    ui/groupsettingsdialog.ui
    ui/transfersettingsdialog.ui
    ui/linkview/importlinkdialog.ui
    ui/mirror/mirrorsettings.ui
    ui/mirror/mirroradddlg.ui
    ui/renamefile.ui
    ui/verificationdialog.ui
    ui/verificationadddlg.ui
    ui/metalinkcreator/introduction.ui
    ui/metalinkcreator/generalwidget.ui
    ui/metalinkcreator/files.ui
    ui/metalinkcreator/filedlg.ui
    ui/metalinkcreator/dragdlg.ui
    ui/metalinkcreator/urlwidget.ui
    ui/metalinkcreator/commondata.ui
    ui/signaturedlg.ui
)

#kde4_add_app_icon(kget_SRCS "ui/icons/hi*-apps-kget.png")

target_link_libraries(kget
    kgetcore
    KF5::Crash
    KF5::Wallet
    KF5::DBusAddons
    KF5::I18n
    KF5::Completion
    KF5::CoreAddons
    KF5::IconThemes
    KF5::ItemViews
    KF5::KCMUtils
    KF5::NotifyConfig
    KF5::WindowSystem
    KF5::KDELibs4Support
    Qt::Core
    Qt::Widgets
    Qt::Sql
    Qt::Network
    Qt::DBus
)
if(Qca_FOUND)
    target_link_libraries(kget qca)
endif()
if(CMAKE_BUILD_TYPE MATCHES debugfull)
    target_link_libraries(kget Qt::Test)
endif()

if (QGpgme_FOUND)
    target_link_libraries(kget QGpgme)
endif()

install(TARGETS kget ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_qt_install_logging_categories(
    EXPORT KGET
    FILE kget.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
install(FILES org.kde.kget.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== desktop/CMakeLists.txt ===
# associate KGet with the correct mimetypes
configure_file(org.kde.kget.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kget.desktop)

install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kget.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES kget_download.desktop DESTINATION
${KDE_INSTALL_KSERVICES5DIR}/ServiceMenus)

# For DBus activation:
configure_file(org.kde.kget.service.in
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kget.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kget.service
    DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})

=== extensions/konqueror/CMakeLists.txt ===
add_library(kget_browser_integration MODULE)

set(kget_browser_integration_dbus_SRCS)
qt_add_dbus_interface(kget_browser_integration_dbus_SRCS ../../dbus/org.kde.kget.main.xml kget_interface )

target_sources(kget_browser_integration PRIVATE
   kget_plug_in.cpp
   ${kget_browser_integration_dbus_SRCS}
)

target_link_libraries(kget_browser_integration KF5::CoreAddons KF5::I18n KF5::IconThemes KF5::Parts)

install(TARGETS kget_browser_integration DESTINATION ${KDE_INSTALL_PLUGINDIR})

########### install files ###############
install(FILES kget_plug_in.rc kget_plug_in.desktop DESTINATION ${KDE_INSTALL_DATADIR}/khtml/kpartplugins)
install(FILES kget_plug_in.rc kget_plug_in.desktop DESTINATION ${KDE_INSTALL_DATADIR}/dolphinpart/kpartplugins)
install(FILES kget_plug_in.rc kget_plug_in.desktop DESTINATION ${KDE_INSTALL_DATADIR}/kwebkitpart/kpartplugins)

=== plasma/applet/CMakeLists.txt ===
set(kgetcommonapplet_SRCS
    common/kgetappletutils.cpp
    common/kgetapplet.cpp
)

qt4_add_dbus_interface(kgetcommonapplet_SRCS ../../dbus/org.kde.kget.transfer.xml transfer_interface)

set(kgetbarapplet_SRCS
    barapplet/kgetbarapplet.cpp
    ${kgetcommonapplet_SRCS}
)

qt4_add_dbus_interface(kgetbarapplet_SRCS ../../dbus/org.kde.kget.main.xml kget_interface)

kde4_add_plugin(plasma_kget_barapplet ${kgetbarapplet_SRCS})
target_link_libraries(plasma_kget_barapplet ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})

install(TARGETS plasma_kget_barapplet DESTINATION ${KDE_INSTALL_PLUGINDIR})


#set(kgetpanelbar_SRCS
#    panelbar/kgetpanelbar.cpp
#    ${kgetcommonapplet_SRCS}
#)
#
#qt4_add_dbus_interface(kgetpanelbar_SRCS ../../../kget/dbus/org.kde.kget.main.xml kget_interface)
#
#kde4_add_plugin(plasma_kget_panelbar ${kgetpanelbar_SRCS})
#target_link_libraries(plasma_kget_panelbar ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS})
#
#install(TARGETS plasma_kget_panelbar DESTINATION ${KDE_INSTALL_PLUGINDIR})

set(kgetpiechart_SRCS
    piechart/kgetpiechart.cpp
    ${kgetcommonapplet_SRCS}
)

qt4_add_dbus_interface(kgetpiechart_SRCS ../../dbus/org.kde.kget.main.xml kget_interface)

kde4_add_plugin(plasma_kget_piechart ${kgetpiechart_SRCS})
target_link_libraries(plasma_kget_piechart ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})

install(TARGETS plasma_kget_piechart DESTINATION ${KDE_INSTALL_PLUGINDIR})


install(FILES barapplet/kgetbarapplet-default.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
#install(FILES panelbar/kgetpanelbarapplet-default.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(FILES piechart/kgetpiechartapplet-default.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== plasma/engine/CMakeLists.txt ===
kcoreaddons_add_plugin(plasma_engine_kget)

target_include_directories(plasma_engine_kget PRIVATE ../../)

set(kget_engine_dbus_SRCS)
qt_add_dbus_interface(kget_engine_dbus_SRCS ../../dbus/org.kde.kget.main.xml kget_interface)

target_sources(plasma_engine_kget PRIVATE
    kgetengine.cpp
    ${kget_engine_dbus_SRCS}
)

target_link_libraries(plasma_engine_kget ${KDE4_KDECORE_LIBS} ${KDE4_PLASMA_LIBS})

install(TARGETS plasma_engine_kget DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES plasma-engine-kget.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== plasma/runner/CMakeLists.txt ===
kcoreaddons_add_plugin(krunner_kget)

set(krunner_kget_dbus_SRCS)
qt_add_dbus_interface(krunner_kget_dbus_SRCS ../../dbus/org.kde.kget.main.xml kget_interface)

target_sources(krunner_kget PRIVATE
    ${krunner_kget_dbus_SRCS}
    kgetrunner.cpp
)

target_link_libraries(krunner_kget
    ${KDE4_PLASMA_LIBS}
)

install(TARGETS
    krunner_kget
    DESTINATION ${KDE_INSTALL_PLUGINDIR}
)
install(FILES
    plasma-runner-kget.desktop
    DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

=== transfer-plugins/bittorrent/CMakeLists.txt ===
#Set supported mime type
SET(SUPPORTED_KGET_MIMETYPES "${SUPPORTED_KGET_MIMETYPES}application/x-bittorrent;" PARENT_SCOPE)

kde_enable_exceptions()

add_library(kget_bittorrent MODULE)

target_sources(kget_bittorrent PRIVATE
    bttransfer.cpp
    bttransferfactory.cpp
    bttransferhandler.cpp
    btdetailswidget.cpp
    scandlg.cpp
    #btdatasource.cpp
    #btchunkselector.cpp
    #btcache.cpp
    advanceddetails/btadvanceddetailswidget.cpp
    advanceddetails/chunkdownloadmodel.cpp
    advanceddetails/chunkdownloadview.cpp
    advanceddetails/fileview.cpp
    advanceddetails/iwfilelistmodel.cpp
    advanceddetails/iwfiletreemodel.cpp
    advanceddetails/peerview.cpp
    advanceddetails/peerviewmodel.cpp
    advanceddetails/torrentfilelistmodel.cpp
    advanceddetails/torrentfilemodel.cpp
    advanceddetails/torrentfiletreemodel.cpp
    advanceddetails/monitor.cpp
    advanceddetails/trackerview.cpp
    advanceddetails/trackermodel.cpp
    advanceddetails/webseedsmodel.cpp
    advanceddetails/webseedstab.cpp
    ../../kget_debug.cpp
    )

ki18n_wrap_ui(kget_bittorrent
    btdetailswidgetfrm.ui
    scandlg.ui
    advanceddetails/chunkdownloadview.ui
    advanceddetails/trackerview.ui
    advanceddetails/webseedstab.ui
    )

kconfig_add_kcfg_files(kget_bittorrent bittorrentsettings.kcfgc)
kcoreaddons_desktop_to_json(kget_bittorrent kget_bittorrentfactory.desktop)

target_link_libraries(kget_bittorrent KF5::KIOCore KF5::Torrent kgetcore)
install(TARGETS kget_bittorrent DESTINATION  ${KGET_PLUGIN_INSTALL_DIR})

###Build KCM-Module
add_library(kcm_kget_bittorrentfactory MODULE)

target_sources(kcm_kget_bittorrentfactory PRIVATE
    btsettingswidget.cpp
    ../../kget_debug.cpp
    )

ki18n_wrap_ui(kcm_kget_bittorrentfactory
    btsettingswidget.ui
    )

kconfig_add_kcfg_files(kcm_kget_bittorrentfactory bittorrentsettings.kcfgc)
target_link_libraries(kcm_kget_bittorrentfactory KF5::ConfigGui KF5::ConfigWidgets KF5::I18n KF5::KIOCore KF5::KIOWidgets)
install(TARGETS kcm_kget_bittorrentfactory DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES kget_bittorrentfactory_config.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== transfer-plugins/checksumsearch/CMakeLists.txt ===
add_library(kget_checksumsearchfactory MODULE)

target_sources(kget_checksumsearchfactory PRIVATE
  checksumsearch.cpp
  checksumsearchtransferdatasource.cpp
  checksumsearchfactory.cpp
  ../../kget_debug.cpp
)

kconfig_add_kcfg_files(kget_checksumsearchfactory checksumsearchsettings.kcfgc)
kcoreaddons_desktop_to_json(kget_checksumsearchfactory kget_checksumsearchfactory.desktop)
target_link_libraries(kget_checksumsearchfactory kgetcore)

install(TARGETS kget_checksumsearchfactory DESTINATION  ${KGET_PLUGIN_INSTALL_DIR})
install(FILES kget_checksumsearchfactory.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

###Build KCM-Module
add_library(kcm_kget_checksumsearchfactory MODULE)

target_sources(kcm_kget_checksumsearchfactory PRIVATE
../../kget_debug.cpp
checksumsearch.cpp
dlgchecksumsearch.cpp
)

ki18n_wrap_ui(kcm_kget_checksumsearchfactory
checksumsearch.ui
checksumsearchadddlg.ui
)

kconfig_add_kcfg_files(kcm_kget_checksumsearchfactory checksumsearchsettings.kcfgc)
target_link_libraries(kcm_kget_checksumsearchfactory kgetcore)
install(TARGETS kcm_kget_checksumsearchfactory DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES kget_checksumsearchfactory_config.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== transfer-plugins/contentfetch/CMakeLists.txt ===
add_subdirectory(scripts)

add_library(kget_contentfetchfactory MODULE)

target_sources(kget_contentfetchfactory PRIVATE
  contentfetch.cpp
  contentfetchfactory.cpp
  script.cpp
  scriptdownloadengine.cpp
  scriptconfigadaptor.cpp
)

kconfig_add_kcfg_files(kget_contentfetchfactory contentfetchsetting.kcfgc)
kcoreaddons_desktop_to_json(kget_contentfetchfactory kget_contentfetchfactory.desktop)
target_link_libraries(kget_contentfetchfactory KF5::KIOCore KF5::KrossCore kgetcore)

install(TARGETS kget_contentfetchfactory DESTINATION ${KGET_PLUGIN_INSTALL_DIR})
install(FILES kget_contentfetchfactory.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

###Build KCM-Module
add_library(kcm_kget_contentfetchfactory MODULE)

target_sources(kcm_kget_contentfetchfactory PRIVATE
  dlgcontentfetchsettingwidget.cpp
  dlgscriptediting.cpp
  scriptconfigadaptor.cpp
)

ki18n_wrap_ui(kcm_kget_contentfetchfactory
  dlgcontentfetchsettingwidget.ui 
  dlgscriptediting.ui
)

kconfig_add_kcfg_files(kcm_kget_contentfetchfactory contentfetchsetting.kcfgc)
target_link_libraries(kcm_kget_contentfetchfactory KF5::KIOCore
KF5::KrossCore ${KDE4_KROSSUI_LIBS})
install(TARGETS kcm_kget_contentfetchfactory DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES kget_contentfetchfactory_config.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== transfer-plugins/metalink/CMakeLists.txt ===
#Set supported mime type
SET(SUPPORTED_KGET_MIMETYPES "${SUPPORTED_KGET_MIMETYPES}application/metalink+xml;" PARENT_SCOPE)

add_library(kget_metalinkfactory MODULE)

target_sources(kget_metalinkfactory PRIVATE
  metalinkfactory.cpp
  abstractmetalink.cpp
  metalinkxml.cpp
  metalinkhttp.cpp
  fileselectiondlg.cpp
  ../../ui/metalinkcreator/metalinker.cpp
  ../../kget_debug.cpp
)

ki18n_wrap_ui(kget_metalinkfactory
    fileselection.ui
)

kconfig_add_kcfg_files(kget_metalinkfactory metalinksettings.kcfgc)
kcoreaddons_desktop_to_json(kget_metalinkfactory kget_metalinkfactory.desktop)
target_link_libraries(kget_metalinkfactory kgetcore)

install(TARGETS kget_metalinkfactory DESTINATION ${KGET_PLUGIN_INSTALL_DIR})


###Build KCM-Module
add_library(kcm_kget_metalinkfactory MODULE)

target_sources(kcm_kget_metalinkfactory PRIVATE
    dlgmetalink.cpp
    ../../kget_debug.cpp
)

ki18n_wrap_ui(kcm_kget_metalinkfactory
dlgmetalink.ui
)

kconfig_add_kcfg_files(kcm_kget_metalinkfactory metalinksettings.kcfgc)
target_link_libraries(kcm_kget_metalinkfactory KF5::I18n KF5::ConfigGui KF5::ConfigWidgets)
install(TARGETS kcm_kget_metalinkfactory DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES kget_metalinkfactory_config.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== transfer-plugins/mirrorsearch/CMakeLists.txt ===
add_library(kget_mirrorsearchfactory MODULE)

target_sources(kget_mirrorsearchfactory PRIVATE
  mirrors.cpp
  mirrorsearchtransferdatasource.cpp
  mirrorsearchfactory.cpp
  ../../kget_debug.cpp
)

kconfig_add_kcfg_files(kget_mirrorsearchfactory mirrorsearchsettings.kcfgc)

kcoreaddons_desktop_to_json(kget_mirrorsearchfactory kget_mirrorsearchfactory.desktop)
target_link_libraries(kget_mirrorsearchfactory kgetcore)

install(TARGETS kget_mirrorsearchfactory DESTINATION  ${KGET_PLUGIN_INSTALL_DIR})
install(FILES kget_mirrorsearchfactory.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

###Build KCM-Module
add_library(kcm_kget_mirrorsearchfactory MODULE)

target_sources(kcm_kget_mirrorsearchfactory PRIVATE
  dlgmirrorsearch.cpp
  ../../kget_debug.cpp
)

ki18n_wrap_ui(kcm_kget_mirrorsearchfactory
  dlgmirrorsearch.ui 
  dlgengineediting.ui
)

kconfig_add_kcfg_files(kcm_kget_mirrorsearchfactory mirrorsearchsettings.kcfgc)
target_link_libraries(kcm_kget_mirrorsearchfactory KF5::ConfigWidgets KF5::I18n KF5::WidgetsAddons)
install(TARGETS kcm_kget_mirrorsearchfactory DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES kget_mirrorsearchfactory_config.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== transfer-plugins/mmsthreads/CMakeLists.txt ===
include_directories(
   ${LIBMMS_INCLUDE_DIR}
)

add_library(kget_mmsfactory MODULE)

target_sources(kget_mmsfactory PRIVATE
  mmsdownload.cpp
  mmstransfer.cpp
  mmstransferfactory.cpp
  mmsthread.cpp
  ../../kget_debug.cpp
)

kconfig_add_kcfg_files(kget_mmsfactory mmssettings.kcfgc)
kcoreaddons_desktop_to_json(kget_mmsfactory kget_mmsfactory.desktop)
target_link_libraries(kget_mmsfactory kgetcore ${LIBMMS_LIBRARIES})

install(TARGETS kget_mmsfactory DESTINATION ${KGET_PLUGIN_INSTALL_DIR})
install(FILES kget_mmsfactory.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

###Build KCM-Module
add_library(kcm_kget_mmsfactory MODULE)

target_sources(kcm_kget_mmsfactory PRIVATE
  dlgmms.cpp
  ../../kget_debug.cpp
)

ki18n_wrap_ui(kcm_kget_mmsfactory
  dlgmms.ui
)
kconfig_add_kcfg_files(kcm_kget_mmsfactory mmssettings.kcfgc)
target_link_libraries(kcm_kget_mmsfactory KF5::I18n KF5::ConfigWidgets)
install(TARGETS kcm_kget_mmsfactory DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES kget_mmsfactory_config.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== debian/changelog ===
kget (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:10:35 +0000

kget (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:17:08 +0000

kget (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:25:02 +0000

kget (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:22:07 +0000

kget (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:06:19 +0000

kget (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:17:21 +0000

kget (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:26:07 +0000

kget (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:39:54 +0000

=== debian/control ===
Source: kget
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.0.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.55.0~),
               gettext,
               libboost-dev,
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.0~),
               libkf5completion-dev (>= 5.55.0~),
               libkf5config-dev (>= 5.55.0~),
               libkf5configwidgets-dev (>= 5.55.0~),
               libkf5coreaddons-dev (>= 5.55.0~),
               libkf5crash-dev (>= 5.55.0~),
               libkf5dbusaddons-dev (>= 5.55.0~),
               libkf5doctools-dev (>= 5.55.0~),
               libkf5i18n-dev (>= 5.55.0~),
               libkf5iconthemes-dev (>= 5.55.0~),
               libkf5itemviews-dev (>= 5.55.0~),
               libkf5kcmutils-dev (>= 5.55.0~),
               libkf5kdelibs4support-dev (>= 5.55.0~),
               libkf5kio-dev (>= 5.55.0~),
               libkf5notifications-dev (>= 5.55.0~),
               libkf5notifyconfig-dev (>= 5.55.0~),
               libkf5parts-dev (>= 5.55.0~),
               libkf5service-dev (>= 5.55.0~),
               libkf5textwidgets-dev (>= 5.55.0~),
               libkf5wallet-dev (>= 5.55.0~),
               libkf5widgetsaddons-dev (>= 5.55.0~),
               libkf5windowsystem-dev (>= 5.55.0~),
               libkf5xmlgui-dev (>= 5.55.0~),
               libktorrent-dev (>= 21.12.3~),
               libmms-dev,
               libqca-qt5-2-dev (>= 2.1.0~),
               libsqlite3-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               plasma-workspace-dev [linux-any],
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kget
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kget
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kget

Package: kget
Section: net
Architecture: any
Depends: libjs-mootools, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: download manager
 KGet is an advanced download manager with support for Metalink and Bittorrent.
 Downloads are added to the list, where they can be paused, queued, or
 scheduled for later.
 .
 This package is part of the KDE networking module.

## kget 22.08.1

=== debian/changelog ===
kget (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:40:00 +0100

kget (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:49:50 +0100

kget (4:22.04.3-0ubuntu3) kinetic; urgency=medium

  * Update lintian overrides

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 02 Aug 2022 12:47:01 +0100

kget (4:22.04.3-0ubuntu2) kinetic; urgency=medium

  * No-change rebuild against libqgpgme15.

 -- Rik Mills <rikmills@kde.org>  Thu, 28 Jul 2022 06:57:25 +0100

kget (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:27:25 +0100

kget (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:01:31 +0100

kget (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:59:38 +0100

kget (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Drop obsolete minified_file patch.
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:47:58 +0100

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                libkf5widgetsaddons-dev (>= 5.55.0~),
                libkf5windowsystem-dev (>= 5.55.0~),
                libkf5xmlgui-dev (>= 5.55.0~),
-               libktorrent-dev (>= 21.12.3~),
+               libktorrent-dev (>= 22.08.1~),
                libmms-dev,
                libqca-qt5-2-dev (>= 2.1.0~),
                libsqlite3-dev,

## kget 22.12.1

=== debian/changelog ===
kget (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Update build-deps and deps with the info from cmake.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:01:02 +0100

kget (4:22.12.0-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Update lintian override info format in d/source/lintian-overrides on line 1.
  * Update standards version to 4.6.2, no changes needed.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * The web interface was dropped, so there is no more need for the .js files:
    - stop symlinking .js files in libjs-mootools to /usr/share/kget
    - drop the libjs-mootools dependency
    - drop the associated lintian overrides
  * Remove the unused build dependencies: libkf5kdelibs4support-dev, and
    libkf5service-dev.
  * Drop the removals of the translations of the unbuilt Plasma bits, as those
    Plasma bits were dropped.
  * Drop the unused ${perl:Depends} substvar.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Dec 2022 14:01:44 +0100

kget (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * Drop patch minified_file, not needed anymore.
  * New upstream release (22.12.0).
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:29 +0100

kget (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update standards version to 4.6.0, no changes needed.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Mar 2022 11:28:39 +0100

kget (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:12:21 +0900

kget (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 18:43:37 +0900

=== debian/control ===
Source: kget
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libboost-dev,
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.0~),
               libkf5completion-dev (>= 5.91.0~),
               libkf5config-dev (>= 5.91.0~),
               libkf5configwidgets-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5crash-dev (>= 5.91.0~),
               libkf5dbusaddons-dev (>= 5.91.0~),
               libkf5doctools-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5iconthemes-dev (>= 5.91.0~),
               libkf5itemviews-dev (>= 5.91.0~),
               libkf5kcmutils-dev (>= 5.91.0~),
               libkf5kio-dev (>= 5.91.0~),
               libkf5notifications-dev (>= 5.91.0~),
               libkf5notifyconfig-dev (>= 5.91.0~),
               libkf5parts-dev (>= 5.91.0~),
               libkf5textwidgets-dev (>= 5.91.0~),
               libkf5wallet-dev (>= 5.91.0~),
               libkf5widgetsaddons-dev (>= 5.91.0~),
               libkf5windowsystem-dev (>= 5.91.0~),
               libkf5xmlgui-dev (>= 5.91.0~),
               libktorrent-dev (>= 21.07.70~),
               libmms-dev,
               libqca-qt5-2-dev (>= 2.1.0~),
               libsqlite3-dev,
               pkg-config,
               plasma-workspace-dev [linux-any],
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kget
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kget
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kget.git

Package: kget
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: download manager
 KGet is an advanced download manager with support for Metalink and Bittorrent.
 Downloads are added to the list, where they can be paused, queued, or
 scheduled for later.
 .
 This package is part of the KDE networking module.

## kget 22.12.3

=== tests/CMakeLists.txt ===
include_directories(
   ../
)

#===========KGet===========
if(BUILD_TESTING)
    add_definitions(-DDO_KGET_TEST)
    add_executable(kget_test_transfers)
    set(kget_test_transfers_dbus_SRCS)
    qt_add_dbus_interface(kget_test_transfers_dbus_SRCS ../dbus/org.kde.kget.main.xml kget_interface)
    qt_add_dbus_interface(kget_test_transfers_dbus_SRCS ../dbus/org.kde.kget.transfer.xml transfer_interface)
    qt_add_dbus_interface(kget_test_transfers_dbus_SRCS ../dbus/org.kde.kget.verifier.xml verifier_interface)

    target_sources(kget_test_transfers PRIVATE
        ${kget_test_transfers_dbus_SRCS}
        testkget.cpp
        testtransfers.cpp
        ../kget_debug.cpp
    )

    # TODO enable it in ctest once it's fixed to not popup a "first run" messagebox on first start.
    # This probably needs a --testmode command-line argument (and QStandardPaths::setTestModeEnabled(true) on both sides)
    #ecm_mark_as_test(kget_test_transfers)
    target_link_libraries(kget_test_transfers Qt::Test KF5::KIOCore kgetcore)


#===========Verifier===========
    if (QCA2_FOUND)
        ecm_add_test(
                verifiertest.cpp
            LINK_LIBRARIES
                Qt::Test
                ${QCA2_LIBRARIES}
                kgetcore
            TEST_NAME verifiertest)
    endif (QCA2_FOUND)


    #===========Scheduler===========
    ecm_add_test(
            schedulertest.cpp
        LINK_LIBRARIES
            Qt::Test
            Qt::Gui
            kgetcore
        TEST_NAME schedulertest)

    #===========Metalinker===========
    ecm_add_test(
            metalinktest.cpp
            ../ui/metalinkcreator/metalinker.cpp
            ../kget_debug.cpp
        LINK_LIBRARIES
            Qt::Xml
            KF5::I18n
            KF5::KIOCore
            Qt::Test
        TEST_NAME metalinktest
    )

    #===========FileDeleter===========
    ecm_add_test(
            filedeletertest.cpp
            ../core/filedeleter.cpp
        LINK_LIBRARIES
            KF5::KIOCore
            Qt::Test
        TEST_NAME filedeletertest
    )

endif()

=== transfer-plugins/mmsthreads/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 install(FILES kget_mmsfactory.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
 
 ###Build KCM-Module
-add_library(kcm_kget_mmsfactory MODULE)
+kcoreaddons_add_plugin(kcm_kget_mmsfactory INSTALL_NAMESPACE "kget_kcms")
 
 target_sources(kcm_kget_mmsfactory PRIVATE
   dlgmms.cpp
@@ -32,6 +32,3 @@
 )
 kconfig_add_kcfg_files(kcm_kget_mmsfactory mmssettings.kcfgc)
 target_link_libraries(kcm_kget_mmsfactory KF5::I18n KF5::ConfigWidgets)
-install(TARGETS kcm_kget_mmsfactory DESTINATION ${KDE_INSTALL_PLUGINDIR})
-
-install(FILES kget_mmsfactory_config.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== debian/changelog ===
kget (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:15 +0100

kget (4:22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 09:24:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
@@ -47,8 +47,8 @@
 Package: kget
 Section: net
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: khelpcenter
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Suggests: khelpcenter,
 Description: download manager
  KGet is an advanced download manager with support for Metalink and Bittorrent.
  Downloads are added to the list, where they can be paused, queued, or

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	:

execute_after_dh_auto_install:
	# remove dev .so symlinks, we aren't shipping dev suff for these
	find debian/kget -name '*.so' -type l -print -delete

## kget 23.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,16 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "21")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kget VERSION ${RELEASE_SERVICE_VERSION})
 
 set(REQUIRED_QT_VERSION "5.15.0")
-set(KF5_VERSION "5.83.0")
+set(KF5_VERSION "5.91.0")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
 
@@ -19,14 +20,17 @@
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 
+include(ECMAddAppIcon)
 include(ECMInstallIcons)
 include(ECMAddTests)
 include(ECMQtDeclareLoggingCategory)
 include(ECMSetupVersion)
 include(ECMSetupQtPluginMacroNames)
 include(GenerateExportHeader)
-
-find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED CONFIG COMPONENTS
+include(KDEClangFormat)
+include(KDEGitCommitHooks)
+
+find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED CONFIG COMPONENTS
     DBus
     Gui
     Network
@@ -52,13 +56,11 @@
     Notifications
     NotifyConfig
     Parts
-    Service
     TextWidgets
     Wallet
     WidgetsAddons
     WindowSystem
     XmlGui
-    KDELibs4Support # KLocale
 )
 
 #include(CheckIncludeFile)
@@ -74,15 +76,15 @@
    set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
 endif()
 
-find_package(Sqlite)
-set_package_properties(Sqlite PROPERTIES
+find_package(SQLite3)
+set_package_properties(SQLite3 PROPERTIES
     DESCRIPTION "SQLite is a Binary-Database"
     TYPE RECOMMENDED
     PURPOSE "Needed for the SQLite-Backend of the KGet-History"
 )
 
-find_package(Qca-qt5 2.1.0)
-set_package_properties(Qca-qt5 PROPERTIES
+find_package(Qca-qt${QT_MAJOR_VERSION} 2.1.0)
+set_package_properties(Qca-qt${QT_MAJOR_VERSION} PROPERTIES
     DESCRIPTION "Support for encryption"
     URL "https://download.kde.org/stable/qca-qt5/"
     TYPE REQUIRED
@@ -114,7 +116,7 @@
      add_definitions(-DDEBUG)
 endif()
 
-if (Qca-qt5_FOUND)
+if (Qca-qt${QT_MAJOR_VERSION}_FOUND)
     add_definitions(-DHAVE_QCA2)
 MESSAGE(STATUS "QCA found")
 endif()
@@ -122,7 +124,11 @@
 find_package(Boost REQUIRED)
 
 if(Gpgmepp_FOUND)
-    find_package(QGpgme REQUIRED)
+    if (QT_MAJOR_VERSION STREQUAL "6")
+        find_package(QGpgmeQt6 ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
+    else()
+        find_package(QGpgme ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
+    endif()
     add_definitions(-DHAVE_QGPGME)
 endif()
 
@@ -143,10 +149,8 @@
 add_subdirectory(core)
 add_subdirectory(ui)
 add_subdirectory(transfer-plugins)
-add_subdirectory(extensions)
 add_subdirectory(sounds)
 add_subdirectory(desktop)
-#add_subdirectory(plasma) TODO PORT TO KF5/QML
 add_subdirectory(tests)
 add_subdirectory(doc)
 
@@ -164,7 +168,7 @@
     ${CMAKE_CURRENT_BINARY_DIR}/core/
 )
 
-if(SQLITE_FOUND)
+if(SQLite3_FOUND)
     add_definitions(-DHAVE_SQLITE)
 endif()
 
@@ -242,17 +246,18 @@
     KF5::CoreAddons
     KF5::DBusAddons
     KF5::I18n
+    KF5::I18nLocaleData
     KF5::IconThemes
     KF5::KIOCore
     KF5::KIOWidgets
     KF5::Notifications
-    KF5::Service
     KF5::XmlGui
     Qt::Core
     Qt::Widgets
     Qt::Sql
     Qt::Network
     Qt::DBus
+    Boost::headers
 )
 
 if(LibKWorkspace_FOUND)
@@ -263,8 +268,8 @@
     target_link_libraries(kgetcore ${QT_QTSQL_LIBRARY})
 endif()
 
-if (Qca-qt5_FOUND)
-    target_link_libraries(kgetcore qca-qt5)
+if (Qca-qt${QT_MAJOR_VERSION}_FOUND)
+    target_link_libraries(kgetcore qca-qt${QT_MAJOR_VERSION})
 endif ()
 
 if (Gpgmepp_FOUND)
@@ -361,7 +366,8 @@
     ui/signaturedlg.ui
 )
 
-#kde4_add_app_icon(kget_SRCS "ui/icons/hi*-apps-kget.png")
+file(GLOB ICON_SRCS "ui/icons/*-apps-kget.png")
+ecm_add_app_icon(kget ICONS ${ICON_SRCS})
 
 target_link_libraries(kget
     kgetcore
@@ -371,12 +377,10 @@
     KF5::I18n
     KF5::Completion
     KF5::CoreAddons
-    KF5::IconThemes
     KF5::ItemViews
     KF5::KCMUtils
     KF5::NotifyConfig
     KF5::WindowSystem
-    KF5::KDELibs4Support
     Qt::Core
     Qt::Widgets
     Qt::Sql
@@ -390,8 +394,12 @@
     target_link_libraries(kget Qt::Test)
 endif()
 
-if (QGpgme_FOUND)
-    target_link_libraries(kget QGpgme)
+if (Gpgmepp_FOUND)
+    if (QT_MAJOR_VERSION STREQUAL "6")
+        target_link_libraries(kget QGpgmeQt6)
+    else()
+        target_link_libraries(kget QGpgme)
+    endif()
 endif()
 
 install(TARGETS kget ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
@@ -403,8 +411,12 @@
 )
 install(FILES org.kde.kget.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
+# add clang-format target for all our real source files
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+
+ki18n_install(po)
+kdoctools_install(po)
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)
-if (KF5DocTools_FOUND)
- kdoctools_install(po)
-endif()

=== debian/changelog ===
kget (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:54:04 +0100

kget (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:33:53 +0100

kget (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:47:02 +0100

kget (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:57:01 +0100

kget (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:38:05 +0000

kget (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:16:50 -0600

kget (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:14:58 +0000

kget (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build dep on libktorrent 22.12.0

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Dec 2022 10:57:57 +0000

kget (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:09:16 +0000

kget (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:05:35 +0000

kget (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:50:32 +0000

kget (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:09:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kget
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -31,7 +32,7 @@
                libkf5widgetsaddons-dev (>= 5.91.0~),
                libkf5windowsystem-dev (>= 5.91.0~),
                libkf5xmlgui-dev (>= 5.91.0~),
-               libktorrent-dev (>= 21.07.70~),
+               libktorrent-dev (>= 23.08.0~),
                libmms-dev,
                libqca-qt5-2-dev (>= 2.1.0~),
                libsqlite3-dev,
@@ -41,14 +42,14 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/kget
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kget
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kget.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kget
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kget
 
 Package: kget
 Section: net
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Suggests: khelpcenter,
+Suggests: khelpcenter
 Description: download manager
  KGet is an advanced download manager with support for Metalink and Bittorrent.
  Downloads are added to the list, where they can be paused, queued, or

## kget 23.08.1

=== debian/changelog ===
kget (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:59:10 +0100

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                libkf5widgetsaddons-dev (>= 5.91.0~),
                libkf5windowsystem-dev (>= 5.91.0~),
                libkf5xmlgui-dev (>= 5.91.0~),
-               libktorrent-dev (>= 23.08.0~),
+               libktorrent-dev (>= 23.08.1~),
                libmms-dev,
                libqca-qt5-2-dev (>= 2.1.0~),
                libsqlite3-dev,
